summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_freebsd.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-07-24 13:13:05 +0200
committerHolger Levsen <holger@layer-acht.org>2015-07-24 13:13:05 +0200
commit9f7e744f66e42824cd7d66063b8ebcab915733e7 (patch)
treecaf79dfa9bce6555e6e80957de39b942540bc2b8 /bin/reproducible_freebsd.sh
parent0df94f4fa67fb295455e2fdfd72a5865f2ec2c8c (diff)
downloadjenkins.debian.net-9f7e744f66e42824cd7d66063b8ebcab915733e7.tar.xz
reproducible freebsd: run 'make buildworld' with sudo as it needs to write to /usr/obj
Diffstat (limited to 'bin/reproducible_freebsd.sh')
-rwxr-xr-xbin/reproducible_freebsd.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/reproducible_freebsd.sh b/bin/reproducible_freebsd.sh
index 8ddc4705..8437120f 100755
--- a/bin/reproducible_freebsd.sh
+++ b/bin/reproducible_freebsd.sh
@@ -60,9 +60,9 @@ echo "$(date -u) - Building freebsd ${FREEBSD_VERSION} - first build run."
echo "============================================================================="
export TZ="/usr/share/zoneinfo/Etc/GMT+12"
# actually build everything
-$RSSH "cd $TMPBUILDDIR/freebsd ; TZ=$TZ make buildworld" || true
+$RSSH "cd $TMPBUILDDIR/freebsd ; TZ=$TZ sudo make buildworld" || true
# try again, to work around failure in cleanup (stage 2.1)
-$RSSH "cd $TMPBUILDDIR/freebsd ; TZ=$TZ make buildworld"
+$RSSH "cd $TMPBUILDDIR/freebsd ; TZ=$TZ sudo make buildworld"
# save results in b1
save_freebsd_results b1
# cleanup ...